<?xml version="1.0" encoding="UTF_8"?>
    <ModuleCap>
        <tag key="HAL_CUSTOM_FOV_RATIO_VALUES" type="float" alias="CAMERA_HW_FOV_RATIO_VALUES" source="function" action="expand"></tag>
         <tag key="CAMERA_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t" action="override">
            <value>8192</value>
            <value>6144</value>
        </tag>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t" action="override">
            <value>32</value>
            <value>4096</value>
            <value>3072</value>
            <value>0</value>
        </tag>
        <tag key="HAL_CUSTOM_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t" action="override">
            <value>1</value>
            <value>4096</value>
            <value>3072</value>
            <value>33331760</value>
            <value>2</value>
            <value>8192</value>
            <value>6144</value>
            <value>50000000</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_ISO_RANGE" type="uint32_t" action="override">
            <value>50</value>
            <value>409600</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_SUPER_ISO" type="int32_t" action="override">
            <value>12800</value>
            <value>66666</value>
            <value>12800</value>
            <value>25600</value>
            <value>125000</value>
            <value>12800</value>
            <value>51200</value>
            <value>250000</value>
            <value>12800</value>
            <value>102400</value>
            <value>250000</value>
            <value>25600</value>
            <value>204800</value>
            <value>250000</value>
            <value>40000</value>
            <value>409600</value>
            <value>250000</value>
            <value>50000</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PRE_CORRECTION_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_REPROCESS_CUSTOM_QUICKTHUMBNAIL_RESOLUTION_SUPPORTED" type="int32_t" action="override">
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_CUSTOM_MAIN_MODE_SUPPORTED" type="uint8_t" action="override">
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_OPTICAL_ZOOM_THRESHOLD" type="uint8_t">
            <value>10</value>
            <value>5</value>
        </tag>
        <tag key="HAL_CUSTOM_ACTUATOR_VA_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_ACTUATOR_VA_FNUMBER_CAPABILITY" type="float">
            <value>1.4</value>
            <value>2.0</value>
            <value>2.8</value>
            <value>4.0</value>
        </tag>
        <tag key="HAL_CUSTOM_ACTUATOR_VA_VIRTUAL_FNUMBER_CAPABILITY" type="float">
            <value>1.4</value>
            <value>1.6</value>
            <value>1.8</value>
            <value>2.0</value>
            <value>2.2</value>
            <value>2.5</value>
            <value>2.8</value>
            <value>3.2</value>
            <value>3.5</value>
            <value>4.0</value>
        </tag>
    </ModuleCap>
